
package jp.riken.brain.ni.samuraigraph.base;

import java.awt.Color;

/**
 * 
 *
 */
public interface SGIWindowDialogObserver extends SGIPropertyDialogObserver
{

	public float getPaperWidth( final String unit );
	
	public float getPaperHeight( final String unit );
	
	public float getGridLineInterval( final String unit );
	
	public float getGridLineWidth( final String unit );
	
	public boolean isGridLineVisible();

	public Color getPaperColor();

	public Color getGridLineColor();


	public boolean setPaperWidth( final float value, final String unit );
	
	public boolean setPaperHeight( final float value, final String unit );
	
	public boolean setGridLineInterval( final float value, final String unit );

	public boolean setGridLineWidth( final float value, final String unit );
	
	public boolean setGridLineVisible( final boolean b );

	public boolean setPaperColor( final Color cl );
	
	public boolean setGridLineColor( final Color cl );

}

